/******************************************************************************
 * ProfileSelectorNotifier.java - Notify the implementer when a different profile is selected.
 * $Id: ProfileSelectorNotifier.java,v 1.3 2009/01/28 18:15:10 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2009 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: ProfileSelectorNotifier.java,v $
 * Revision 1.3  2009/01/28 18:15:10  dick
 * Prettier cvs link in the javadoc.
 *
 * Revision 1.2  2009/01/07 20:02:49  dick
 * Javadoc.
 *
 * Revision 1.1  2009/01/07 08:35:58  dick
 * Notify the implementer when a different profile is selected.
 *
 */
package com.buckosoft.fibs.BuckoFIBS.gui.account;

/** Notify the implementer when a different profile is selected. 
 * @author Dick Balaska
 * @since 2009/01/06
 * @version $Revision: 1.3 $ <br> $Date: 2009/01/28 18:15:10 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/account/ProfileSelectorNotifier.java">cvs ProfileSelectorNotifier.java</a>
 */
public interface ProfileSelectorNotifier {
	/** Notify the implementer when a different profile is selected.
	 * This is so the containing dialog can update his widgets.
	 */
	void profileChanged();
}
