/******************************************************************************
 * ResignOut.java - Dialog for You want to resign
 * $Id: ResignOut.java,v 1.2 2009/02/14 15:30:22 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2009 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: ResignOut.java,v $
 * Revision 1.2  2009/02/14 15:30:22  dick
 * BuckoFIBS is released under the GNU license.
 *
 * Revision 1.1  2009/02/09 22:43:33  dick
 * Dialog for You want to resign.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS.gui.board;

import java.awt.Component;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;
import javax.swing.WindowConstants;

import com.buckosoft.fibs.BuckoFIBS.CommandDispatcher;

/** Dialog for You want to resign.
 * @author Dick Balaska
 * @since 2009/02/09
 * @version $Revision: 1.2 $ <br> $Date: 2009/02/14 15:30:22 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/board/ResignOut.java">cvs ResignOut.java</a>
 */
public class ResignOut extends JDialog {
	private static final long serialVersionUID = 1L;
	private	CommandDispatcher	commandDispatcher;
	private JPanel jContentPane = null;
	private JLabel jLabel = null;
	private JButton jButtonBackgammon = null;
	private JButton jButtonGammon = null;
	private JButton jButtonNormal = null;
	private JButton jButtonCancel = null;


	/** Create and display the preferences dialog.
	 * Just set and forget.
	 * @param owner Probably an instance of MainDialog
	 * @param centerOver The object to center us over, the BoardPane
	 * @param commandDispatcher The BuckoFIBS commandDispatcher
	 */
	public ResignOut(JFrame owner, Component centerOver, CommandDispatcher commandDispatcher) {
		super(owner, true);
		this.commandDispatcher = commandDispatcher;
		initialize();
		this.setLocationRelativeTo(centerOver);
		
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(299, 160);
		this.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
		this.setTitle("You want to resign");
		this.setContentPane(getJContentPane());
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
			gridBagConstraints4.gridwidth = 3;
			gridBagConstraints4.gridy = 2;
			gridBagConstraints4.ipadx = 0;
			gridBagConstraints4.fill = GridBagConstraints.NONE;
			gridBagConstraints4.weighty = 0.3;
			gridBagConstraints4.weightx = 0.3;
			gridBagConstraints4.gridx = 0;
			GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
			gridBagConstraints3.gridx = 2;
			gridBagConstraints3.ipady = 0;
			gridBagConstraints3.weightx = 0.2;
			gridBagConstraints3.gridy = 1;
			GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
			gridBagConstraints2.gridx = 1;
			gridBagConstraints2.ipadx = 0;
			gridBagConstraints2.ipady = 0;
			gridBagConstraints2.weightx = 0.2;
			gridBagConstraints2.gridy = 1;
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.gridx = 0;
			gridBagConstraints1.ipady = 0;
			gridBagConstraints1.weightx = 0.2;
			gridBagConstraints1.weighty = 0.2;
			gridBagConstraints1.gridy = 1;
			GridBagConstraints gridBagConstraints = new GridBagConstraints();
			gridBagConstraints.gridwidth = 3;
			gridBagConstraints.gridy = 0;
			gridBagConstraints.ipadx = 0;
			gridBagConstraints.anchor = GridBagConstraints.NORTH;
			gridBagConstraints.weighty = 0.2;
			gridBagConstraints.gridx = 0;
			jLabel = new JLabel();
			jLabel.setText("You want to resign");
			jLabel.setHorizontalAlignment(SwingConstants.CENTER);
			jContentPane = new JPanel();
			jContentPane.setLayout(new GridBagLayout());
			jContentPane.add(jLabel, gridBagConstraints);
			jContentPane.add(getJButtonBackgammon(), gridBagConstraints1);
			jContentPane.add(getJButtonGammon(), gridBagConstraints2);
			jContentPane.add(getJButtonNormal(), gridBagConstraints3);
			jContentPane.add(getJButtonCancel(), gridBagConstraints4);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jButtonBackgammon	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonBackgammon() {
		if (jButtonBackgammon == null) {
			jButtonBackgammon = new JButton();
			jButtonBackgammon.setText("Backgammon");
			jButtonBackgammon.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					resign("b");
				}
			});
		}
		return jButtonBackgammon;
	}

	/**
	 * This method initializes jButtonGammon	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonGammon() {
		if (jButtonGammon == null) {
			jButtonGammon = new JButton();
			jButtonGammon.setText("Gammon");
			jButtonGammon.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					resign("g");
				}
			});
		}
		return jButtonGammon;
	}

	/**
	 * This method initializes jButtonNormal	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonNormal() {
		if (jButtonNormal == null) {
			jButtonNormal = new JButton();
			jButtonNormal.setText("Normal");
			jButtonNormal.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					resign("n");
				}
			});
		}
		return jButtonNormal;
	}

	/**
	 * This method initializes jButtonCancel	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonCancel() {
		if (jButtonCancel == null) {
			jButtonCancel = new JButton();
			jButtonCancel.setText("Cancel");
			jButtonCancel.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					cancel();
				}
			});
		}
		return jButtonCancel;
	}

	private void resign(String how) {
		this.setVisible(false);
		this.dispose();
		this.commandDispatcher.dispatch(CommandDispatcher.Command.SEND_RESIGN, how);
	}

	private void cancel() {
		this.setVisible(false);
		this.dispose();
	}
}  //  @jve:decl-index=0:visual-constraint="10,10"
