/******************************************************************************
 * PlayerColumns.java - A List of Columns for the playerList table.
 * $Id: PlayerColumns.java,v 1.3 2009/02/24 08:06:03 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2008 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: PlayerColumns.java,v $
 * Revision 1.3  2009/02/24 08:06:03  dick
 * Add Host.  Tweak column widths.
 *
 * Revision 1.2  2009/02/14 15:46:36  dick
 * BuckoFIBS is released under the GNU license.
 *
 * Revision 1.1  2009/01/28 19:39:44  dick
 * package com.buckosoft.fibs.gui.playerList becomes com.buckosoft.fibs.BuckoFIBS.gui.playerList.
 *
 * Revision 1.3  2009/01/28 18:19:49  dick
 * Prettier cvs link in the javadoc.
 *
 * Revision 1.2  2009/01/22 05:09:48  dick
 * Name is wider.
 *
 * Revision 1.1  2008/04/02 23:22:53  dick
 * Move playerList to it's own package.
 *
 * Revision 1.1  2008/03/29 08:57:43  dick
 * BuckoFIBS skeleton checkin.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS.gui.playerList;

import java.util.LinkedList;


/** A List of Columns for the playerList table.
 * @author Dick Balaska
 * @since 2008/03/29
 * @version $Revision: 1.3 $ <br> $Date: 2009/02/24 08:06:03 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/playerList/PlayerColumns.java">cvs PlayerColumns.java</a>
 */
public class PlayerColumns {
	private	LinkedList<Column>	columns = new LinkedList<Column>();
	
	/** Construct the list of columns
	 */
	PlayerColumns() {
		columns.add(new Column("Name", 150));
		columns.add(new Column("Status", 60));
		columns.add(new Column("Rating", 65));
		columns.add(new Column("Exp", 60));
		columns.add(new Column("Host", 430));
	}

	/** Get the list of columns
	 * @return the columns
	 */
	public LinkedList<Column> getColumns() {
		return columns;
	}
}
